#!/bin/sh
cd "$1"
cd ../../


# check if the global frameworks directory exists, create it if not
if [ ! -d /Library/QuickTime ]; then
	  # create
	mkdir /Library/QuickTime
	  # set group to the administrative group
	chgrp staff /Library/QuickTime
	  # allow group users to modify
	chmod 775 /Library/QuickTime
fi

if [ -d Contents/Resources/SupportItems/TrinityVDIG.component ]; then
    # check if the framework exists in /Library/Frameworks
    # delete it if it is
    if [ -d /Library/QuickTime/TrMovieMaker.framework ]; then
        rm -rf /Library/QuickTime/TrMovieMaker.framework
    fi
    
    cp -Rp Contents/Resources/SupportItems/TrinityVDIG.component /Library/QuickTime
    
else
    echo TrinityVDIG.component missing from build!
fi
